Project

General

Profile

Bug #8278

awesome window manager is missing lgi library for Lua 5.3

Added by Michal Nowak over 2 years ago. Updated almost 2 years ago.

Status:
New
Priority:
Normal
Assignee:
Category:
OI-Userland
Target version:
-
Start date:
2017-05-27
Due date:
% Done:

0%

Estimated time:
Difficulty:
Medium
Tags:
needs-triage

Description

Just installed awesome window manager and I am unable to log into it via LightDM. Executing awesoeme via xterm session brings following error:

error while running function!
stack traceback:
    [C]: in function 'require'
    /usr/share/awesome/lib/gears/color.lua:15: in main chunk
    [C]: in function 'require'
    /usr/share/awesome/lib/gears/init.lua:10: in main chunk
    [C]: in function 'require'
    /usr/etc/xdg/awesome/rc.lua:2: in main chunk
error: /usr/share/awesome/lib/gears/color.lua:15: module 'lgi' not found:
    no field package.preload['lgi']
    no file '/usr/share/lua/5.3/lgi.lua'
    no file '/usr/share/lua/5.3/lgi/init.lua'
    no file '/usr/lib/lua/5.3/lgi.lua'
    no file '/usr/lib/lua/5.3/lgi/init.lua'
    no file './lgi.lua'
    no file './lgi/init.lua'
    no file '/export/home/newman/.config/awesome/lgi.lua'
    no file '/export/home/newman/.config/awesome/lgi/init.lua'
    no file '/etc/xdg/awesome/lgi.lua'
    no file '/etc/xdg/awesome/lgi/init.lua'
    no file '/usr/share/awesome/lib/lgi.lua'
    no file '/usr/share/awesome/lib/lgi/init.lua'
    no file '/usr/lib/lua/5.3/64/lgi.so'
    no file '/usr/lib/lua/5.3/64/loadall.so'
    no file './64/lgi.so'
    no file '/export/home/newman/.config/awesome/64/lgi.so'
    no file '/etc/xdg/awesome/64/lgi.so'
    no file '/usr/share/awesome/lib/64/lgi.so'
2017-05-27 18:01:45 E: awesome: main:774: couldn't find any rc file

It seems that library/lua/lgi-53 package is missing from the distribution.

History

#1

Updated by Michal Nowak almost 2 years ago

Dariusz added library/lgi-53 and awesome now works fine. We can close this one.

Also available in: Atom PDF